All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Arctan
Arithmetic Operations

Inverse tangent of each sample of a signal. More...

## Functions

NppStatus | nppsArctan_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal inverse tangent. More...
NppStatus | nppsArctan_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsArctan_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal inverse tangent. More...
NppStatus | nppsArctan_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength)
NppStatus | nppsArctan_32f_I_Ctx (Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal inverse tangent. More...
NppStatus | nppsArctan_32f_I (Npp32f *pSrcDst, int nLength)
NppStatus | nppsArctan_64f_I_Ctx (Npp64f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal inverse tangent. More...
NppStatus | nppsArctan_64f_I (Npp64f *pSrcDst, int nLength)

## Detailed Description

Inverse tangent of each sample of a signal.

## Function Documentation

NppStatus nppsArctan_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsArctan_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal inverse tangent.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsArctan_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsArctan_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal inverse tangent.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsArctan_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsArctan_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal inverse tangent.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsArctan_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsArctan_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal inverse tangent.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation